using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Default2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        int price = int.Parse(((Label)DataList1.Controls[0].FindControl("priceLabel")).Text);
        string title = ((Label)DataList1.Controls[0].FindControl("titleLabel")).Text;
        string picUrl = ((Label)DataList1.Controls[0].FindControl("picUrlLabel")).Text;
        string isbn = Request.QueryString["isbn"];
        if (Profile.Cart == null)
        {
            Profile.Cart = new rayaneh.commerce.shoppingCart();
        }
        Profile.Cart.insert(isbn, price, 1, title, picUrl);
       Server.Transfer("Default.aspx");

    }
}
